/*
Copyright (c) Nmap project and its contributor
All rights reserved.

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions 
are met:

 1. Redistributions of source code must retain the above copyright 
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in 
    the documentation and/or other materials provided with the 
    distribution.
 3. Neither the name of Nmap nor the names of its contributors 
    may be used to endorse or promote products derived from this 
    software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
 FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
 ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 POSSIBILITY OF SUCH DAMAGE.
*/

function getElementsByClass(searchClass,node,tag) {
	var classElements = new Array();
	if ( node == null )
		node = document;
	if ( tag == null )
		tag = '*';
	var els = node.getElementsByTagName(tag);
	var elsLen = els.length;
	var pattern = new RegExp("(^|\\s)"+searchClass+"(\\s|$)");
	for (i = 0, j = 0; i < elsLen; i++) {
		if ( pattern.test(els[i].className) ) {
			classElements[j] = els[i];
			j++;
		}
	}
	return classElements;
}

function scanCreateEnableTCP( )
{
	var radio = document.getElementById( 'SCAN-TCP' );

	var elems = getElementsByClass( 'TCPMETHOD' );
	for (var i = 0; i< elems.length; i++) 
	{
		if( radio.checked == 0 )
		{
			elems[i].disabled = 1;
		}
		else
		{
			elems[i].disabled = 0; 
		}

	}
}

function scanCreateEnableOsAgressive()
{
	var case1 = document.getElementById( 'OSDETECT' );

	var case2 = document.getElementById( 'OSDETECT-AGRESSIVE' );
	if( case1.checked == 1 )
	{
		case2.disabled = 0;
	}
	else
	{
		case2.disabled = 1;
		case2.checked = 0;
	}
}


function showHide(id)
{
	var v = document.getElementById(id);
	var f = document.getElementById( "shtext" );
	if ( v )
	{
		if( v.style.display == 'block' )
		{
			v.style.display='none';
			f.innerHTML = "Switch to expert mode";
		}
		else
		{
			v.style.display='block';
			f.innerHTML = "Back to basic mode";
		}
	}
}

function showPeriodicManual()
{
	var v = document.getElementById( "ptype" );
	var f = document.getElementById( "div-pman" );
	if ( v )
	{
		if( v.value == '0' )
		{
			f.style.display='block';
		}
		else
		{
			f.style.display='none';
		}
	}
}

